## org.hibernate.event.def
Class DefaultPersistOnFlushEventListener

    java.lang.Object
      org.hibernate.event.def.AbstractReassociateEventListener
          org.hibernate.event.def.AbstractSaveEventListener
              org.hibernate.event.def.DefaultPersistEventListener
                  org.hibernate.event.def.DefaultPersistOnFlushEventListener

All Implemented Interfaces:
  Serializable, PersistEventListener

    public class DefaultPersistOnFlushEventListener

extends DefaultPersistEventListener

When persist is used as the cascade action, persistOnFlush should be used

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.event.def.AbstractSaveEventListener
`DELETED, DETACHED, PERSISTENT, TRANSIENT`

Constructor Summary
`DefaultPersistOnFlushEventListener()`

Method Summary
`protected CascadingAction` `getCascadeAction()`

Methods inherited from class org.hibernate.event.def.DefaultPersistEventListener
`entityIsPersistent, entityIsTransient, getAssumedUnsaved, onPersist, onPersist`

Methods inherited from class org.hibernate.event.def.AbstractSaveEventListener
`cascadeAfterSave, cascadeBeforeSave, getEntityState, getLoggableName, getMergeMap, invokeSaveLifecycle, isVersionIncrementDisabled, performSave, performSaveOrReplicate, saveWithGeneratedId, saveWithRequestedId, substituteValuesIfNecessary, validate, visitCollectionsBeforeSave`

Methods inherited from class org.hibernate.event.def.AbstractReassociateEventListener
`reassociate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultPersistOnFlushEventListener

    public DefaultPersistOnFlushEventListener()

Method Detail

### getCascadeAction

    protected CascadingAction getCascadeAction()

  Overrides:
    `getCascadeAction` in class `DefaultPersistEventListener`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.